Pürfen ob überhaupt das .NET Framework installiert ist , bzw. die korrkte version?



  • Hallo Leute,

    wie kann ich den überhaupt Prüfen ob .NET auf dem Zielrechner vorhanden ist? Selbstverständlich kann ich keine .NET Anwendung schreiben, welche das prüft, da diese ja selbst .NET benötigt;) D.h. ich muss auf native sprachen bzw. c++ zurückgreifen, welche beim Startup die .NET Frameworks checkt, und danch meine NET Anwendunga ausführt?
    Ich denke diese Problematik ist bekannt!? Gibt da schon Lösungen?

    Grüße;)



  • Hallo,

    ich drücke den Kunden den ASoft .NET Version Detector in die Hand:
    http://www.asoft.be/prod_netver.html

    Es ist nicht trivial die installierten Versionen zuverlässig zu ermitteln. Registrieinträge, bestehende Verzeichnisse und Assemblyversionen (imho der mscorlib.dll) müssen geprüft werden. Dazu muss noch berücksichtigt werden, ob .NET-Versionen wieder unsauber deinstalliert wurden, welche Service-Packs vorhanden sind und ob es 32 oder 64 Bit Versionen sind.

    Kurz und knapp ich erwarte minimale Eigeninitiative von den Kunden und spare mir den Stress eines eigenen Tests. Dafür gibt es zu viele Sonderfälle und Fallstricke zu berücksichtigen.

    Es klappt eigentlich sehr gut bis jetzt und es gab nie ernsthafte Schwierigkeiten damit.



  • OSVersionChecker schrieb:

    Hallo Leute,

    wie kann ich den überhaupt Prüfen ob .NET auf dem Zielrechner vorhanden ist? Selbstverständlich kann ich keine .NET Anwendung schreiben, welche das prüft, da diese ja selbst .NET benötigt;) D.h. ich muss auf native sprachen bzw. c++ zurückgreifen, welche beim Startup die .NET Frameworks checkt, und danch meine NET Anwendunga ausführt?
    Ich denke diese Problematik ist bekannt!? Gibt da schon Lösungen?

    Grüße;)

    Prerequisites im Installer richtig setzen, dann wird bei Installation geprüft ob (mindestens) das benötigte Framework vorhanden ist.



  • Installer is schwierig, weil das eine "OneClick" Lösung sein sollte.. oder kann man da auch so Pre-requirements setzen1? Grüße



  • loks schrieb:

    Prerequisites im Installer richtig setzen, dann wird bei Installation geprüft ob (mindestens) das benötigte Framework vorhanden ist.

    Nur bei der Setup.exe, nicht bei der msi.

    Der automatisierte Download ist unzuverlässig.


Log in to reply